| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwMIFF.cpp File Reference

Functions for reading and writing ImageMagick MIFF files. More...

`#include "rwMIFF.h"`
`#include "utilities.h"`
`#include <fstream>`

Go to the source code of this file.

## Functions
int | readMIFF (Bimage *p, int readdata, int img_select)
| Reading an Image Magick map image file format. A 2D image format used for X-windows display. The header is text of variable size ending in a colon, ':'. A binary colour table may follow the header. Files can be directly concatenated for a multi-image file. File format extensions: .miff Byte order determination: none. Data types: depth 8 = byte, depth 16 = short. More...
int | writeMIFF (Bimage *p)
| Writing an Image Magick map image file format. A 2D image format used for X-windows display. More...

## Variables
int | verbose

## Detailed Description

Functions for reading and writing ImageMagick MIFF files.

Author
  Bernard Heymann

Date
  Created: 19990321
  Modified: 20120211

Definition in file rwMIFF.cpp.

## Function Documentation

## ◆ readMIFF()

int readMIFF | ( | Bimage * | p,
|  | int | readdata,
|  | int | img_select
| ) |  |

Reading an Image Magick map image file format. A 2D image format used for X-windows display. The header is text of variable size ending in a colon, ':'. A binary colour table may follow the header. Files can be directly concatenated for a multi-image file. File format extensions: .miff Byte order determination: none. Data types: depth 8 = byte, depth 16 = short.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.
  img_select | image selection in multi-image file (-1 = all images).

Returns
  int 0.

Definition at line 30 of file rwMIFF.cpp.

## ◆ writeMIFF()

int writeMIFF | ( | Bimage * | p | ) |

Writing an Image Magick map image file format. A 2D image format used for X-windows display.

Parameters

  *p | the image structure.

Returns
  int 0.

Definition at line 150 of file rwMIFF.cpp.

## Variable Documentation

## ◆ verbose

int verbose